{
    attributes = (
        {
            columnName = "CSTC_ORDRE"; 
            externalType = NUMBER; 
            name = cstcOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CST_ORDRE"; 
            externalType = NUMBER; 
            name = cstOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "NO_SEQ_ARRETE"; 
            externalType = NUMBER; 
            name = noSeqArrete; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (cstcOrdre, noSeqArrete); 
    className = "org.cocktail.connecteur.serveur.modele.correspondance.EOCongeSsTraitementCorresp"; 
    classProperties = (dCreation, dModification, toCongeSsTraitement, toMangueCongeSsTraitement); 
    externalName = "IMPORT.CONGE_SS_TRT_CORRESP"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_clientClassPropertyNames" = (dCreation, dModification); }; 
    name = CongeSsTraitementCorresp; 
    primaryKeyAttributes = (cstcOrdre); 
    relationships = (
        {
            destination = CongeSsTraitement; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cstOrdre; sourceAttribute = cstOrdre; }); 
            name = toCongeSsTraitement; 
        }, 
        {
            destination = MangueCongeSsTraitement; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = congeOrdre; sourceAttribute = noSeqArrete; }); 
            name = toMangueCongeSsTraitement; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = ObjetCorresp; }; }; 
}
